# Get Opportunities

> Source: https://truto.one/docs/api-reference/unified-crm-api/opportunities/get/

`GET /unified/crm/opportunities/{id}`

Resource: **Opportunities** · API: **Unified CRM API**

## Supported integrations

ActiveCampaign, Affinity, Attio, Capsule, Close, Copper, Microsoft Dynamics 365 Sales, Freshsales, Highlevel, HubSpot, Insightly, Keap, Monday CRM, OnePageCRM, Outreach, Pipedrive, Pipeliner, Planhat, Salesflare, Salesforce, Teamleader, Zendesk Sell, Zoho CRM

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`fields`** _(unknown)_

## Response body

- **`id`** _(string, required)_
  The opportunity's unique identifier
- **`name`** _(string)_
  The opportunity's name
- **`description`** _(string)_
  The opportunity's description
- **`amount`** _(number)_
  The opportunity's amount
- **`currency`** _(string)_
  The amount attribute's currency
- **`owner`** _(object)_
  The opportunity's owner
  - **`id`** _(string)_
    The opportunity's owner's unique identifier
- **`account`** _(object)_
  The opportunity's account
  - **`id`** _(string)_
    The account's unique identifier
- **`contact`** _(array<object>)_
  The opportunity's contacts
  - **`id`** _(string)_
    The contact's unique identifier
- **`stage`** _(object)_
  The opportunity's stage
  - **`id`** _(string)_
    The stage's unique identifier
  - **`name`** _(string)_
    The stage's name
- **`status`** _(string)_
  The opportunity's status
- **`tags`** _(array<object>)_
  The opportunity's tags
  - **`id`** _(string)_
    The tag's unique identifier
  - **`name`** _(string)_
    The tag's name
- **`custom_fields`** _(object)_
  All the custom fields present on the opportunity
- **`last_activity_at`** _(string)_
  The date and time of the opportunity's last activity
- **`close_date`** _(string)_
  The date and time of the opportunity's close date
- **`created_at`** _(string)_
  The date and time of the opportunity's creation
- **`updated_at`** _(string)_
  The date and time of the opportunity's last update
- **`urls`** _(array<object>)_
  The opportunity's urls
  - **`url`** _(string)_
    The opportunity's URL
  - **`type`** _(string)_
    The opportunity's URL type
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/crm/opportunities/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/opportunities/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/crm/opportunities/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'crm',
  'opportunities',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "crm",
        "opportunities",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
